<?php 
//exit('closed');
	$thisLink = "/".$thisPage;
	profile :: is_user(false);
	$nick = $password = $password_r = $email = '';
		if(isset($_POST['cfms'])) {
			$password = system :: check($_POST['password']);
			$password_r = system :: check($_POST['password-r']);
			$nick = system :: check($_POST['nick']);
			$fam = system :: check($_POST['fam']);
			$email = system :: check($_POST['email']);

			$str_email = system :: utf_strlen($email);
            $str_password = system :: utf_strlen($password);
			$str_nick = system :: utf_strlen($nick);
			$str_fam = system :: utf_strlen($fam);
			$CheckUser = DB :: $dbh -> queryFetch("SELECT `id` FROM `users` WHERE (`email` = ?) LIMIT 1;", array($email));
			if($CheckUser['id'] == 0) {
			if($str_email > 5 && $str_email <= 50 && filter_var($email, FILTER_VALIDATE_EMAIL)){
			if($str_nick >= 3 && $str_nick <= 25) {
			if (preg_match('|^[а-яёa-z]+$|iu', $nick)) {
			if($str_fam >= 3 && $str_fam <= 25) {
			if (preg_match('|^[а-яёa-z]+$|iu', $fam)) {    
			if($str_password >= 6 && $str_password <= 32){
			if (preg_match('|^[a-z0-9]+$|i', $password)) {
			if($password == $password_r) {
				$secure = true;
				if(isset($_POST['cfms_code'])) {
					if(isset($_SESSION['secure_code']) && strtolower($_SESSION['secure_code']) == strtolower($_POST['keystring'])) {
						$access = rand(11513,95658).rand(434,898);
		                DB :: $dbh -> query("INSERT INTO `users` (`access`,`info_first_name`,`info_last_name`,`password`,`first_time`,`email`, `password_update`) VALUES (?, ?, ?, ?, ?, ?,?);", array($access, $nick,$fam, System::bhash($password), time(), $email, 1));
		              
		 			    $id = DB :: $dbh -> lastInsertId(); 
		 			    $activation = system :: genHash(strrev(time()).time(),$id).md5(time()+3000).rand(1111,9999);
						$sid = system :: genHash($password, $id); 

						profile :: avatarCreate($nick,$id);
						DB :: $dbh -> query("UPDATE `users` SET `sid` = ?, `line` = 10, `activate` = ? WHERE `id` = ? LIMIT 1;", array($sid, $activation, $id)); 
						system :: activateMail($id,$email,$activation); // Ключ активации
						setcookie('xsid', $sid, time()+60*60*24*365);
						system :: redirect("Поздравляем!За регистрацию дарим Вам 10 монет. Заполните некоторую информацию.", "/anketa/?act=anketa/edit&__returntosignup={$access}");
					} else { $e = "Код введен не верно."; }
				}
			} else { $e = "Пароли не совпадают."; }
			} else { $e = "Пароль должен содержать только символы латинского алфавита и цифры."; }
			} else { $e = "Пароль не может содержать меньше 6-ти символов и больше 32-х."; }
			} else { $e = "В Фамилии разрешено использовать латинские буквы, цифры и нижнее подчеркивание."; }
			} else { $e = "Фамилия должно состоять от 3-х до 25-ти символов."; }
			} else { $e = "В имени разрешено использовать латинские буквы, цифры и нижнее подчеркивание."; }
			} else { $e = "Имя должно состоять от 3-х до 25-ти символов."; }
			} else { $e = "Неверный адрес email."; }
			} else { $e = "Пользователь с такой почтой уже есть в системе."; }
		}
		
		$title = $l = "Регистрация";
		require (CORE."head.php");
		echo "<div class=\"app-block\"><div class=\"list\"><div class=\"app-block-w\">";
		if(isset($e)){ system :: show($e); }
		if(!isset($secure)) {
?>


        
        
        <div class="_lh-n" style="margin-top: 20px;">
				<div class="vsetime">
            <span class="vsetitext"><span class="_gray">Регистрация на Vineti</span></span>
        </div></div>
			<form method="post" action="" data-noajax="">
				<label class="_gray _dbl telotext" for="index-email">E-mail:</label>
				<input type="text" class="telo _w-100" name="email" value="<?=$email?>" placeholder="Введите свой email" id="index-email">
				<label class="_gray _dbl telotext" for="index-nick">Ваше Имя:</label>
				<input type="text" class="telo _w-100" name="nick" value="<?=$nick?>" placeholder="Введите имя" id="index-nick">
				<label class="_gray _dbl telotext" for="index-nick">Ваша Фамилия:</label>
				<input type="text" class="telo _w-100" name="fam" value="<?=$fam?>" placeholder="Введите фамилию" id="index-fam">
				<label class="_gray _dbl telotext" for="index-password">Пароль:</label>
				<input type="password" class="telo _w-100" name="password" value="<?=$password?>" placeholder="Введите пароль" id="index-password">
				<label class="_gray _dbl telotext" for="index-password-r">Пароль еще раз:</label>
				<input type="password" class="telo _w-100" name="password-r" value="<?=$password_r?>" placeholder="Пароль еще раз " id="index-password-r">
				<div class="_center _btn-up">
				<input type="submit" class="main-telo_b _dbl  _w-100" name="cfms" value="Присоединиться">
				<div class="_gray _font-m" style="margin-top: 3px;">Нажимая кнопку &laquo;Присоединиться&raquo; Вы соглашаетесь с Условиями пользования нашего сервиса.</div>
				</div>
			</form>
		
     
<?php

		} else {
?>
		<form method="post" action="" data-noajax="">
			<div class="_center">
				<input type="hidden" name="nick" value="<?=$nick?>">
				<input type="hidden" name="fam" value="<?=$fam?>">
				<input type="hidden" name="email" value="<?=$email?>">
				<input type="hidden" name="password" value="<?=$password?>">
				<input type="hidden" name="password-r" value="<?=$password_r?>">
				<input type="hidden" name="cfms" value="true">
				<div class="_font-s  _gray">
					В целях безопасности, пожалуйста, введите код с картинки ниже.
				</div>
				<div class="_m-top">
					<img title="Если Вы не видите число на картинке, нажмите на картинку мышкой" onclick="this.src=this.src+'&amp;'+Math.round(Math.random())" style="border: 1px solid #CACACA;" src="/c?<?=session_name()?>=<?=session_id()?>">
				</div>
				<input type="text" class="telo _w-100" placeholder="Введите код сюда" name="keystring">
				<div class="_center" style="margin-top: 3px;">
				<input type="submit" class="main-btn_b _w-100" load="1" name="cfms_code" value="Продолжить">
				</div>
			</form>
			
<?php
		}
		echo "</div></div></div>";
		unset($_SESSION['captcha_keystring']);
        
	require (CORE."foot.php");
?>